Name:           edje
Version:        1.7.7
Release:        1%{?dist}
License:        BSD
Summary:        Abstract GUI layout and animation object library
Url:            http://www.enlightenment.org
Group:          System Environment/Libraries
Source:         http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
BuildRequires:  autoconf automake libtool pkgconfig lua-devel
BuildRequires:  ecore-devel eet-devel libeina-devel
BuildRequires:  embryo  evas-devel doxygen
BuildRequires:  fontconfig-devel pkgconfig(freetype2) python chrpath

%description
Abstract GUI layout and animation object library.

%package devel
Summary:        Edje headers, documentation and test programs
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       lua-devel < 5.2 zlib-devel pth-devel pkgconfig
Requires:       ecore-devel eet-devel libeina-devel
Requires:       evas-devel

%description devel
Headers,  test programs and documentation for edje.

%package utils
Summary:        Edje utils script to convert import from gimp and inkscape
Group:          Development/Libraries
Requires:       edje = %{version}
Requires:       python >= 2.5
Requires:       inkscape

%description utils
Edje utils script to convert import from gimp and inkscape.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}
cd doc 
make doc %{?_smp_mflags}

%install
%make_install 
find %{buildroot}%{_libdir} -name '*.la' -exec rm -r {} +
chrpath --delete %{buildroot}%{_bindir}/%{name}_cc
chrpath --delete %{buildroot}%{_bindir}/%{name}_decc
chrpath --delete %{buildroot}%{_bindir}/%{name}_external_inspector
chrpath --delete %{buildroot}%{_bindir}/%{name}_player
chrpath --delete %{buildroot}%{_bindir}/%{name}_inspector
chrpath --delete %{buildroot}%{_libdir}/lib%{name}.so*

# remove unfinished manpages
find doc/man/man3 -size -100c -delete
for l in todo %{name}.dox; do
    rm -f doc/man/man3/$l.3
done
mkdir -p %{buildroot}%{_mandir}/man3
install -Dpm0644 doc/man/man3/* %{buildroot}%{_mandir}/man3
mv  %{buildroot}%{_mandir}/man3/authors.3 %{buildroot}%{_mandir}/man3/edje-authors.3

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING README ChangeLog
%{_bindir}/edje_*
%{_datadir}/mime/packages/%{name}*
%dir %{_libdir}/edje
%{_libdir}/libedje.so.1*

%files devel
%doc doc/html
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/edje/examples/*
%{_datadir}/edje/include

%files utils
%doc AUTHORS COPYING README
%{_bindir}/inkscape2edc
%{_libdir}/edje/utils

%changelog
* Mon Jun 17 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.7-1
- Update to latest upstream release
- Update BR's and devel isa bits

* Fri Dec 28 2012 Rahul Sundaram <sundaram@fedoraproject.org> - 1.7.4-1
- initial spec. some changes from Terje Rosten <terje.rosten@ntnu.no> 

